{% extends "base_device.yaml.jinja2" %}

{% set reboot_command = "poweroff" %}
{% set reboot_finished_message = "reboot: Power down" %}
{% set invalid_sig_capsule_url = "https://people.linaro.org/~antonio.terceiro/trs/rockpi4b/invalid_sig.capsule" %}

{% block device_setup %}
device_type: rk3399-rock-pi-4b
job_name: {{ lava_job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

actions:

- deploy:
    to: downloads
    images:
      firmware:
        url: {{ firmware_url }}
        {%- set firmware_path, firmware_extension = splitext(firmware_url) %}
        compression: {{ firmware_extension[1:] }}
      os:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
      script:
        url: https://gitlab.com/Linaro/blueprints/ci/-/raw/HEAD/support_files/ts-merge-images.sh
      capsule:
        url: {{ capsule_url }}
      invalid_sig:
        url: {{ invalid_sig_capsule_url }}
      testexport:
        url: {{ testexport_url }}
    postprocess:
      docker:
        image: debian
        steps:
          {%- set firmware_basename = basename(firmware_path) %}
          {%- set os_basename = basename(os_path) %}
          - 'apt-get update'
          - 'apt-get install -qy fdisk gdisk'
          - 'fdisk -l {{ firmware_basename }}'
          - 'fdisk -l {{ os_basename }}'
          - 'bash ts-merge-images.sh {{ firmware_basename }} {{ os_basename }}'
          - 'fdisk -l {{ firmware_basename }}'
          - dd if=/dev/urandom of=random_data.capsule bs=1K count=1K

- deploy:
    to: flasher
    images:
      image:
        url: downloads://{{ firmware_basename }}
        partition: 6
        format: ext4
        overlays:
          lava: true

- boot:
    method: minimal
    timeout:
      minutes: 10
    auto_login:
      login_prompt: 'login:'
      username: 'root'
      login_commands:
        - sudo su -
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
{% endblock %}
